#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ask_1 = __importDefault(require("nslibmgr/lib/ask"));
const clipboardy_1 = __importDefault(require("clipboardy"));
const fs_1 = __importDefault(require("fs"));
const nspub_1 = __importDefault(require("./nspub"));
(async () => {
    var _a;
    let cont = false;
    do {
        await new Promise(async (resolve) => {
            let dir = '.';
            do {
                dir = (await ask_1.default('Drag-and-drop directory!')) || await clipboardy_1.default.read();
            } while (!dir || !fs_1.default.existsSync(dir));
            nspub_1.default.ready(() => nspub_1.default.dir(dir).then((hash) => {
                const link = `https://nspub.nodesite.eu/static/${hash}.html`;
                console.log(link);
                clipboardy_1.default.write(link).then(resolve);
            }));
        });
        cont = ((_a = (await ask_1.default('Continue? (yes/no)'))) === null || _a === void 0 ? void 0 : _a.toLocaleLowerCase()[0]) === 'y';
    } while (cont);
    process.exit();
})();
